import { AsyncCallbackFn, Callback, CallbackFn, Config, Context, PositionType } from "./types";
import { WalkNode } from "./node";
export declare function matchCallbacks<T extends CallbackFn>(node: WalkNode, position: PositionType, ctx: Context<T>): Callback<T>[];
export declare function execCallbacks(callbacks: Callback<CallbackFn>[], node: WalkNode): void;
declare type AsyncExecutor = (callbacks: Callback<AsyncCallbackFn>[], node: WalkNode) => Promise<void>;
export declare function execCallbacksAsync(callbacks: Callback<AsyncCallbackFn>[], node: WalkNode): Promise<void>;
export declare const execCallbacksAsyncInParallel: (callbacks: Callback<AsyncCallbackFn>[], node: WalkNode) => Promise<void>;
export declare function getAsyncExecutor<T extends CallbackFn>(config: Config<T>): AsyncExecutor;
export {};
