import { AsyncCallbackFn, CallbackFn, PartialConfig } from "./types";
import { WalkNode } from "./node";
export declare function walkStep(obj: object, config: PartialConfig<CallbackFn>): Generator<WalkNode>;
export declare function walkAsyncStep(obj: object, config: PartialConfig<AsyncCallbackFn>): AsyncGenerator<WalkNode>;
export declare function walk(obj: object, config: PartialConfig<CallbackFn>): void;
export declare function walkAsync(obj: object, config: PartialConfig<AsyncCallbackFn>): Promise<void>;
